<?xml version="1.0"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Note" package="performa.orm">
        <IMPORT value="oneit.security.*"/>
          
                   
        <TABLE name="tl_note"   tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Comment"              type="String"       dbcol="comment"     length="1000"   mandatory="true"/>            

            <SINGLEREFERENCE name="CreatedUser"     type="CompanyUser"      dbcol="created_user_id"     mandatory="true"    />
            <SINGLEREFERENCE name="JobApplication"  type="JobApplication"   dbcol="job_application_id"  mandatory="true"    backreferenceName="Notes"/>

        </TABLE>
        
        <SEARCH type="All" paramFilter="object_id is not null"/>

    </BUSINESSCLASS>
</ROOT>
